<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultiple Method (KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>), Boolean, Int32, LockingInfo)
Cursor Class See Also Send Feedback

Move the cursor to the specified key/data pair of the database, and store that key/data pair and as many duplicate data items associated with the given key that can fit in a buffer the size of BufferSize in CurrentMultiple. The cursor is positioned to a key/data pair if both the key and data match the values provided on the key and data parameters.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveMultiple(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair,
    	bool exact,
    	int BufferSize,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveMultiple ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry), _
    	exact As Boolean, _
    	BufferSize As Integer, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveMultiple(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair,
    	bool exact,
    	int BufferSize,
    	LockingInfo^ info
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair <(Of <( DatabaseEntry, DatabaseEntry >)>)
  The key/data pair at which to position the cursor.

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest data value which is greater than or equal to the value provided by pair.Value (as determined by the comparison function). Otherwise, require the given key and data to match the key and data in the database exactly.

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultiple Overload
BerkeleyDB Namespace